<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="reset.css">
  <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
  <title>Exemplo</title>
  <style>

    body {
      font-family: 'Roboto', sans-serif;
      overflow: hidden;
      font-size: 25px;
    }

    header {
      background-color: rgb(199, 116, 22);
      height: 50px;
      top: 0px;
      left: 0px;
      right: 0px;
      position: fixed;
    }

    footer {
      position: fixed;
      background-color: rgb(255, 166, 0);
      height: 30px;
      bottom: 0px;
      left: 0px;
      right: 0px;
    }

    main{
      top: 50px;
      left: 0px;
      right: 0px;
      bottom: 30px;
      position: fixed;
      overflow-y: auto;
    }

    nav ul li {
      display: inline;
    }

    div.quadro {
      width: 100px;
      height: 100px;
      margin: 10px;
    }

    span.btn-menu {
      display: none;
    }

    div.quadro.red {
      background-color: red;
    }

    div.quadro.blue {
      background-color: blue;
    }

    @media screen and (max-width: 768px) {
      nav {
        position: fixed;
        display: fixed;
        top: 50px;
        width: 150px;
        bottom: 15px;
        background-color: yellow;
      }

      span.btn-menu {
        display: flex;
      }

    }

  </style>

  <script>

    var mostrando = true;

    function aoClicar() {
      //console.log(mostrando);
      var e = document.getElementsByClassName('menu');
      if (mostrando) {
        e[0].style.display = 'none';
        mostrando = false;
      } else {
        e[0].style.display = 'flex';
        mostrando = true;
      }
    }

    window.onload = function (){
      var main = document.getElementsByTagName('main');
      console.log(main);
      for (var i = 1; i <= 50; i++) {
        var h1 = document.createElement('h1');
        h1.append("Título " + i);
        main[0].append(h1);
      }
    }

  </script>


</head>
<body>
  <header>
    <span onclick="aoClicar()" class="btn-menu material-icons">view_headline</span>
    <nav class="menu">
      <ul>
        <li>1</li>
        <li>2</li>
        <li>3</li>
        <li>4</li>
        <li>5</li>
      </ul>
    </nav>
  </header>
  <main>
    <h1>Texto</h1>
    <div class="quadro red"></div>
    <div class="quadro blue"></div>

  </main>
  <footer>

  </footer>
</body>
</html>